using Edu.Common.Plugin;
using Edu.Model.Entity.Customer;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Model.ViewModel.Customer
{
    /// <summary>
    /// 同业客户任务详情扩展实体类
    /// </summary>
    public class RB_TaskDetails_Extend : RB_TaskDetails
    {
        /// <summary>
        /// 任务编号【逗号分割】
        /// </summary>
        public string QTaskIds { get; set; }

        /// <summary>
        /// 任务类型名称
        /// </summary>
        public string TaskTypeName { get { return this.TaskType.ToName(); } }

        /// <summary>
        /// 目标值数组
        /// </summary>
        public List<int> TargetIdList
        {
            get
            {
                List<int> ids = Common.ConvertHelper.StringToList(this.TargetId);
                return ids;
            }
        }

        /// <summary>
        /// 奖品图片数组
        /// </summary>
        public List<string> TaskKudoImgList
        {
            get
            {
                List<string> list = new List<string>();
                if (!string.IsNullOrEmpty(this.TaskKudoImg))
                {
                    list = JsonHelper.DeserializeObject<List<string>>(this.TaskKudoImg);
                }
                return list;
            }
        }

        /// <summary>
        /// 目标列表
        /// </summary>
        public List<object> TargetList { get; set; }

    }
}
